%define upstream_name    Git-Wrapper-Plus
%define upstream_version 0.004010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A key -> range list mapping for support features
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Initially, I started off with 'Dist::Zilla::Util::' and friends, but I soon
discovered so many quirks in 'git', especially multiple-version support,
and that such a toolkit would be more useful independent.

So 'Git::Wrapper::Plus' is a collection of tools for using 'Git::Wrapper',
aiming to work on all versions of Git since at least Git '1.3'.

For instance, you probably don't realize this, but on older 'git''s,

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.4.10-5.mga6
+ Revision: 1027942
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.4.10-4.mga6
+ Revision: 945240
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.10-3.mga5
+ Revision: 741849
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.10-2.mga5
+ Revision: 684873
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.4.10-1.mga5
+ Revision: 593738
- imported package perl-Git-Wrapper-Plus


* Mon Feb 17 2014 cpan2dist 0.004010-1mga
- initial mageia release, generated with cpan2dist
